Package ru.bitel.bgbilling.kernel.sequence.common.bean

# Class BGSequence

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.sequence.common.bean.BGSequence

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class BGSequence extends IdTitle

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BGSequence()`
  `BGSequence(int id, String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getCounter()`
  `LocalDateTime`
  `getResetDate()`
  `BGSequenceMode`
  `getSequenceMode()`
  `BGSequenceType`
  `getSequenceType()`
  `BGSequence`
  `setCounter(long counter)`
  `BGSequence`
  `setResetDate(LocalDateTime resetDate)`
  `BGSequence`
  `setSequenceMode(BGSequenceMode sequenceMode)`
  `BGSequence`
  `setSequenceType(BGSequenceType sequenceType)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### BGSequence

    public BGSequence()

  - ### BGSequence

    public BGSequence(int id, String title)

- ## Method Details

  - ### getCounter

    public long getCounter()

  - ### getResetDate

    public LocalDateTime getResetDate()

  - ### getSequenceType

    public BGSequenceType getSequenceType()

  - ### getSequenceMode

    public BGSequenceMode getSequenceMode()

  - ### setCounter

    public BGSequence setCounter(long counter)

  - ### setResetDate

    public BGSequence setResetDate(LocalDateTime resetDate)

  - ### setSequenceType

    public BGSequence setSequenceType(BGSequenceType sequenceType)

  - ### setSequenceMode

    public BGSequence setSequenceMode(BGSequenceMode sequenceMode)